> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Update an Event Attendee

PUT https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees/{eventAttendeeId}
Content-Type: application/json

Reference: https://virtuous.ferndocs.com/reference/crm-plus/events/update-an-event-attendee

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `eventId` (string, required)
- `eventAttendeeId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `invited` (string, optional)
- `rsvp` (string, optional)
- `rsvpResponse` (string, optional)
- `attended` (string, optional)
- `schedule` (string, optional)
- `table` (string, optional)
- `meal` (string, optional)
- `customFields` (list of ApiEventEventIdAttendeesEventAttendeeIdPutRequestBodyContentApplicationJsonSchemaCustomFieldsItems, optional)

## Response

### 200

OK

- `id` (string, optional)
- `eventInvitationUrl` (string, optional)
- `contactId` (string, optional)
- `contactIndividualId` (string, optional)
- `invitee` (string, optional)
- `contactUrl` (string, optional)
- `event` (string, optional)
- `eventId` (string, optional)
- `eventViewUrl` (string, optional)
- `location` (string, optional)
- `startDateTime` (string, optional)
- `endDateTime` (string, optional)
- `timeZone` (string, optional)
- `rsvp` (string, optional)
- `attended` (string, optional)
- `emailAddress` (string, optional)
- `invited` (string, optional)
- `emailStatus` (string, optional)
- `emailSent` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `customFields` (list of ApiEventEventIdAttendeesEventAttendeeIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

### 404 Not Found Error

NotFound

- `any`

## Types

### ApiEventEventIdAttendeesEventAttendeeIdPutRequestBodyContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiEventEventIdAttendeesEventAttendeeIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

## Examples

**Request**

```json
{
  "invited": "<boolean>",
  "rsvp": "<boolean>",
  "rsvpResponse": "<boolean>",
  "attended": "<boolean>",
  "schedule": "<string>",
  "table": "<string>",
  "meal": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**Response**

```json
{
  "id": "<integer>",
  "eventInvitationUrl": "<string>",
  "contactId": "<integer>",
  "contactIndividualId": "<integer>",
  "invitee": "<string>",
  "contactUrl": "<string>",
  "event": "<string>",
  "eventId": "<integer>",
  "eventViewUrl": "<string>",
  "location": "<string>",
  "startDateTime": "<string>",
  "endDateTime": "<string>",
  "timeZone": "<string>",
  "rsvp": "<string>",
  "attended": "<string>",
  "emailAddress": "<string>",
  "invited": "<string>",
  "emailStatus": "<string>",
  "emailSent": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}
```

**SDK Code**

```python Events_updateAnEventAttendee_example
import requests

url = "https://api.virtuoussoftware.com/api/Event/eventId/Attendees/eventAttendeeId"

payload = {
    "invited": "<boolean>",
    "rsvp": "<boolean>",
    "rsvpResponse": "<boolean>",
    "attended": "<boolean>",
    "schedule": "<string>",
    "table": "<string>",
    "meal": "<string>",
    "customFields": [
        {
            "name": "<string>",
            "value": "<string>",
            "displayName": "<string>"
        },
        {
            "name": "<string>",
            "value": "<string>",
            "displayName": "<string>"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Events_updateAnEventAttendee_example
const url = 'https://api.virtuoussoftware.com/api/Event/eventId/Attendees/eventAttendeeId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"invited":"<boolean>","rsvp":"<boolean>","rsvpResponse":"<boolean>","attended":"<boolean>","schedule":"<string>","table":"<string>","meal":"<string>","customFields":[{"name":"<string>","value":"<string>","displayName":"<string>"},{"name":"<string>","value":"<string>","displayName":"<string>"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Events_updateAnEventAttendee_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Event/eventId/Attendees/eventAttendeeId"

	payload := strings.NewReader("{\n  \"invited\": \"<boolean>\",\n  \"rsvp\": \"<boolean>\",\n  \"rsvpResponse\": \"<boolean>\",\n  \"attended\": \"<boolean>\",\n  \"schedule\": \"<string>\",\n  \"table\": \"<string>\",\n  \"meal\": \"<string>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Events_updateAnEventAttendee_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Event/eventId/Attendees/eventAttendeeId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"invited\": \"<boolean>\",\n  \"rsvp\": \"<boolean>\",\n  \"rsvpResponse\": \"<boolean>\",\n  \"attended\": \"<boolean>\",\n  \"schedule\": \"<string>\",\n  \"table\": \"<string>\",\n  \"meal\": \"<string>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Events_updateAnEventAttendee_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/Event/eventId/Attendees/eventAttendeeId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"invited\": \"<boolean>\",\n  \"rsvp\": \"<boolean>\",\n  \"rsvpResponse\": \"<boolean>\",\n  \"attended\": \"<boolean>\",\n  \"schedule\": \"<string>\",\n  \"table\": \"<string>\",\n  \"meal\": \"<string>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}")
  .asString();
```

```php Events_updateAnEventAttendee_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.virtuoussoftware.com/api/Event/eventId/Attendees/eventAttendeeId', [
  'body' => '{
  "invited": "<boolean>",
  "rsvp": "<boolean>",
  "rsvpResponse": "<boolean>",
  "attended": "<boolean>",
  "schedule": "<string>",
  "table": "<string>",
  "meal": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Events_updateAnEventAttendee_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Event/eventId/Attendees/eventAttendeeId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"invited\": \"<boolean>\",\n  \"rsvp\": \"<boolean>\",\n  \"rsvpResponse\": \"<boolean>\",\n  \"attended\": \"<boolean>\",\n  \"schedule\": \"<string>\",\n  \"table\": \"<string>\",\n  \"meal\": \"<string>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Events_updateAnEventAttendee_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "invited": "<boolean>",
  "rsvp": "<boolean>",
  "rsvpResponse": "<boolean>",
  "attended": "<boolean>",
  "schedule": "<string>",
  "table": "<string>",
  "meal": "<string>",
  "customFields": [
    [
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    ],
    [
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Event/eventId/Attendees/eventAttendeeId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```